<?xml version="1.0" ?>

<container xmlns="http://symfony.com/schema/dic/services"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://symfony.com/schema/dic/services http://symfony.com/schema/dic/services/services-1.0.xsd">

    <services>
        <service id="popov_command.migrate" class="PopovPlugin\Command\MigrateCommand">
            <argument type="service" id="popov_migration_manager"/>
            <tag name="console.command"/>
        </service>

        <service id="popov_migration_manager" class="PopovPlugin\Migration\MigrationManager">
            <call method="setContainer">
                <argument type="service" id="service_container"/>
            </call>
        </service>

        <service id="popov_service_plugin.page" class="PopovPlugin\Services\PageService">
            <argument type="service" id="popov_repository_plugin.page"/>
        </service>

        <service id="popov_repository_plugin.page" class="PopovPlugin\Repositories\PageRepository" >
            <argument type="service" id="models"/>
        </service>
    </services>

</container>